Subject: [stir] NNI transport

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 16 Oct 2015 16:20:07 +0000

I took a quick look at the SIP Forum/ATIS NNI document. It says in Section 7.2:

The SIP protocol can be transported over UDP, TCP, or SCTP. [RFC 3261] defines that UDP is the default for SIP .

In the scope of this document UDP shall be used as default. If a non-reliable transport implementation is used then TCP may be used based on bilateral agreements.

[The wording is a bit strange, given that TPC is reliable rather than non-reliable...]

I searched the NNI spec for a discussion of multi-part, but didn't find it. However, RFC 5621 is declared "m" mandatory in Table 7.4. However, this doesn't help much since multipart bodies are envisioned in RFC 5621 in the context of user agents, not proxies or other intermediaries. Thus, 5621 only mandates handling for UAs, not (say) proxies, which are expected to just pass whatever comes after the SIP headers unmolested.

Henning

---

From: Richard Shockey <[email-masked]>
Date: Fri, 16 Oct 2015 20:21:13 -0400

Noted.

BTW we all have figured out by now we are in TCP land whether we like it or not.

— 
Richard Shockey
Shockey Consulting LLC
Chairman of the Board SIP Forum
www.shockey.us
www.sipforum.org
richard<at>shockey.us
Skype-Linkedin-Facebook rshockey101
PSTN +1 703-593-2683

From:  stir <[email-masked]> on behalf of Henning Schulzrinne <[email-masked]>
Date:  Friday, October 16, 2015 at 12:20 PM
To:  "[email-masked]" <[email-masked]>
Subject:  [stir] NNI transport

Henning

_______________________________________________ stir mailing list [email-masked] https://www.ietf.org/mailman/listinfo/stir